/********************************************************************
This file is part of the abs 0.907 distribution.  abs is a spreadsheet
with graphical user interface.

Copyright (C) 1998-2001  André Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: abs@pi.be
         http://home.pi.be/bertin/abs.shtml

*********************************************************************/


























#include "workbook_vb.h"
#include "application.h"
#include "class.h"

obj
vb_getworkbook (narg, arg)
     int narg;
     obj *arg;
{
  obj o = arg[0];

  if (o.type == STRING_CONSTANT)
    {
      
    }
  else
    {
      
    }

  o.type = WORKBOOK;
  o.label = NULL;
  return o;
}

obj
vb_get_ActiveWorkbook ()
{
  obj o;

  o.rec.s = (char *) ActiveWorkbook;
  o.type = WORKBOOK;
  o.label = NULL;
  return o;
}

obj
vb_workbook_setactivesheet (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  o.type = INTEGER;
  o.label = NULL;
  return o;
}

obj
vb_workbook_getactivesheet (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  o.rec.s = (char *) ActiveWorksheet;
  o.type = WORKSHEET;

  if (narg != 1)
    return o;
  if (arg[0].type == WORKBOOK)
    {
      o.rec.s = (char *) ((Workbook *) arg[0].rec.s)->activeworksheet;
    }

  return o;
}

obj
vb_workbook_activate (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  if (narg == 1)
    if (arg[0].type == WORKBOOK)
      {
	ActivateWorkbook ((Workbook *) arg[0].rec.s);
      }
  o.rec.s = (char *) ActiveWorkbook;
  o.type = WORKBOOK;
  o.label = NULL;
  return o;
}

obj
vb_workbook_calculate (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  if (narg != 1)
    return o;
  if (arg[0].type == WORKBOOK)
    {
      workbook_calculate ((Workbook *) arg[0].rec.s);
    }
  o.label = NULL;
  return o;
}

obj
vb_workbook_close (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  if (narg != 1)
    return o;
  if (arg[0].type == WORKBOOK)
    {
      
    }
  o.label = NULL;
  return o;
}

obj
vb_workbook_printout (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  if (narg != 1)
    return o;
  if (arg[0].type == WORKBOOK)
    {

    }
  o.label = NULL;
  return o;
}

obj
vb_workbook_save (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  if (narg != 1)
    return o;
  if (arg[0].type == WORKBOOK)
    {

    }
  o.label = NULL;
  return o;
}
obj
vb_workbook_saveas (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  o.label = NULL;
  return o;
}

obj
vb_get_Workbooks ()
{
  obj o;
  o.type = WORKBOOKS;
  o.rec.i = WORKBOOKS;
  o.label = arrayclass[WORKBOOKS].name;
  return o;
}
obj
vb_workbooks_setcount (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  o.type = INTEGER;
  o.rec.i = application_nbwb ();
  o.label = NULL;
  return o;
}

obj
vb_workbooks_getcount (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  o.type = INTEGER;
  o.rec.i = application_nbwb ();
  o.label = NULL;
  return o;
}

obj
vb_workbooks_add (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  o.rec.s = (char *) new_doc (NULL);
  o.type = WORKBOOK;
  o.label = NULL;
  return o;
}

obj
vb_workbooks_open (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  o.type = INTEGER;
  o.label = NULL;
  return o;
}

obj
vb_workbooks_close (narg, arg)
     int narg;
     obj *arg;
{
  obj o;
  o.type = INTEGER;
  o.label = NULL;
  return o;
}
